   ' ============ ::::::::   FECARG   :::::::: ============================
   '
   ' :::::::  INTERFASE ARGUS
   '
   ' SISTEMAS SIERRA SA DE CV                 FECHA CREACION DEL ORDER1.QUE
   ' 22-SEP-2003  1010  creaci˘n inicial del programa
   ' ======================================================================
     ON ERROR GOTO ErrorHandler

     OPEN "ORDER1.QUE" FOR RANDOM ACCESS READ WRITE SHARED AS #11 LEN=128
     FIELD#11,128AS QUE11$

     GET#11,1
     FCR$=MID$(QUE11$, 41,6)                               ' fecha de creacion
     FCI$=MID$(QUE11$,115,6)                               ' fecha de cierre
     HCR$=MID$(QUE11$, 31,6)                               ' hora  de creacion
     HCI$=MID$(QUE11$,121,6)                               ' hora  de cierre

     FX$=MID$(FCR$,5,2)+MID$(FCR$,1,2)+MID$(FCR$,3,2)
     GOSUB 7900                                            ' valida fecha
     GOSUB 7850
     DCR$=DX$:MCR$=MX$:ACR$=AX$                            ' fecha de venta
     IF LEN(ACR$)=2 THEN
        IF ACR$<"80" THEN
           ACR$="20"+ACR$
        ELSE
           ACR$="19"+ACR$
        ENDIF
     ENDIF

     FX$=MID$(FCI$,5,2)+MID$(FCI$,1,2)+MID$(FCI$,3,2)
     GOSUB 7900                                            ' valida fecha
     GOSUB 7850
     DCI$=DX$:MCI$=MX$:ACI$=AX$                            ' fecha de venta
     IF LEN(ACI$)=2 THEN
        IF ACI$<"80" THEN
           ACI$="20"+ACI$
        ELSE
           ACI$="19"+ACI$
        ENDIF
     ENDIF
        COLOR 7,0                                       ' intensidad media
        CLS
        PR=07:PC=24:NR=08:NC=32:GOSUB 9980
        COLOR  0,7:LOCATE PR+1,PC+ 1:PRINT "         SISTEMA ARGUS          "
        COLOR 15,7:LOCATE PR+2,PC+ 1:PRINT "         Punto de venta         "

        COLOR  0,7:LOCATE PR+4,PC+ 1:PRINT "         CREADO       CIERRE    "
        COLOR  0,7:LOCATE PR+6,PC+ 1:PRINT " Fecha xx-xxx-xxxx  xx-xxx-xxxx "
        COLOR  0,7:LOCATE PR+7,PC+ 1:PRINT " Hora  xx:xx:xx     xx:xx:xx    "             
        PR=12:PC=31:NR=02:NC=11:GOSUB 9981
        PR=12:PC=44:NR=02:NC=11:GOSUB 9981
        PR=07:PC=24
        COLOR 15,7:LOCATE PR+6,PC+ 8:PRINT DCR$;"-";MCR$;"-";ACR$
        COLOR 15,7:LOCATE PR+6,PC+21:PRINT DCI$;"-";MCI$;"-";ACI$
        COLOR 15,7:LOCATE PR+7,PC+ 8:PRINT MID$(HCR$,1,2);":";MID$(HCR$,3,2);":";MID$(HCR$,5,2)
        COLOR 15,7:LOCATE PR+7,PC+21:PRINT MID$(HCI$,1,2);":";MID$(HCI$,3,2);":";MID$(HCI$,5,2)
        BEEP
        W$=INPUT$(1)
        CLOSE
        END

6999 ' $INCLUDE: 'R40GRL.BAS'

ErrorHandler:
      IF ERR=70 THEN LOCATE 24,01:COLOR 16,15:PRINT "pd...";:LOCATE 23,2:PRINT "":RESUME
      IF ERR=24 OR ERR=25 OR ERR=27 THEN GOSUB 7510:RESUME
      COLOR 16,15:LOCATE 24,01:PRINT "Error en los datos ";ERR;" Linea ";ERL;". Llame a SIERRA.";:LOCATE 23,2:PRINT "":W$=INPUT$(1):CLOSE:END
